           %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
           %%%    Hybrid Simulation Current Assessment Measures    %%%
           %%%              Example #1: Lehigh Test                %%% 
           %%%     Prepared by:                                    %%%
           %%%     Carlos Andres Riascos Gonzalez, Ge(Gaby) Ou,    %%%
           %%%     and Shirley Dyke                                %%%
           %%%                                                     %%%
           %%%    Published on: 10/15/2014                         %%% 
           %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc,clear,close all, global ind

load lehigh_mod

name='Lehigh'; %%% Test Name
xc=A1.xc*1e-3; %%% Target Displacement (m) 
xm=A1.xm*1e-3; %%% Measured Displacemente (m) 
fm=A1.fm*1e3;  %%% Measured Force (N) 
Fs=A1.fs;      %%% Sample Frequency (Hz)
l=2;           %%% Integer Potencia
M=A1.Mn;       %%% Mass Matrix of the Numerical Substructure
C=A1.Cn;       %%% Damping Matrix of the Numerical Substructure
K=A1.Kn;       %%% Stiffness Matrix of the Numerical Substructure
method='area'; %%% Method for Numerical Integration 
Eemax=400;     %%% Maximum Experimental Strain Energy

cam_results=cam(xc,xm,fm,Fs,M,C,K,Eemax,l,method,name);

if ind==1
% open('cam_report.rpt')
end